﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace W3SZ_Remote_PowerMeter
{
    public partial class SetupForm : Form
    {
        private Form1 frm;
        public string oldIP1;
        public string oldIP2;
        public string oldIP3;
        public string oldIP4;
        public string oldArdIP1;
        public string oldArdIP2;
        public string oldArdIP3;
        public string oldArdIP4;

        public SetupForm(Form1 Parent)
        {
            InitializeComponent();
            frm = Parent;
            FormClosing += new FormClosingEventHandler(frm.SetupForm_FormClosing);

            boxA0.Text = Properties.Settings.Default.labelA0;
            boxA1.Text = Properties.Settings.Default.labelA1;
            boxA2.Text = Properties.Settings.Default.labelA2;
            boxA3.Text = Properties.Settings.Default.labelA3;
            boxA4.Text = Properties.Settings.Default.labelA4;
            boxA5.Text = Properties.Settings.Default.labelA5;
            boxA6.Text = Properties.Settings.Default.labelA6;
            boxA7.Text = Properties.Settings.Default.labelA7;
            boxA8.Text = Properties.Settings.Default.labelA8;
            boxA9.Text = Properties.Settings.Default.labelA9;
            boxA10.Text = Properties.Settings.Default.labelA10;
            boxA11.Text = Properties.Settings.Default.labelA11;
            boxA12.Text = Properties.Settings.Default.labelA12;
            boxA13.Text = Properties.Settings.Default.labelA13;
            boxA14.Text = Properties.Settings.Default.labelA14;
            boxA15.Text = Properties.Settings.Default.labelA15;

            string[] thisIPparts = Properties.Settings.Default.thisIP.Split('.');
            boxIP1.Text = thisIPparts[0];
            boxIP2.Text = thisIPparts[1];
            boxIP3.Text = thisIPparts[2];
            boxIP4.Text = thisIPparts[3];
            string[] ardIPparts = Properties.Settings.Default.arduinoIP.Split('.');
            boxArdIP1.Text = ardIPparts[0];
            boxArdIP2.Text = ardIPparts[1];
            boxArdIP3.Text = ardIPparts[2];
            boxArdIP4.Text = ardIPparts[3];
            oldIP1 = boxIP1.Text;
            oldIP2 = boxIP2.Text;
            oldIP3 = boxIP3.Text;
            oldIP4 = boxIP4.Text;
            oldArdIP1 = boxArdIP1.Text;
            oldArdIP2 = boxArdIP2.Text;
            oldArdIP3 = boxArdIP3.Text;
            oldArdIP4 = boxArdIP4.Text; ;

            comboBox0.SelectedIndex = Properties.Settings.Default.R0;
            comboBox1.SelectedIndex = Properties.Settings.Default.R1;
            comboBox2.SelectedIndex = Properties.Settings.Default.R2;
            comboBox3.SelectedIndex = Properties.Settings.Default.R3;
            comboBox4.SelectedIndex = Properties.Settings.Default.R4;
            comboBox5.SelectedIndex = Properties.Settings.Default.R5;
            comboBox6.SelectedIndex = Properties.Settings.Default.R6;
            comboBox7.SelectedIndex = Properties.Settings.Default.R7;
            comboBox8.SelectedIndex = Properties.Settings.Default.R8;
            comboBox9.SelectedIndex = Properties.Settings.Default.R9;
            comboBox10.SelectedIndex = Properties.Settings.Default.R10;
            comboBox11.SelectedIndex = Properties.Settings.Default.R11;
            comboBox12.SelectedIndex = Properties.Settings.Default.R12;
            comboBox13.SelectedIndex = Properties.Settings.Default.R13;
            comboBox14.SelectedIndex = Properties.Settings.Default.R14;
            comboBox15.SelectedIndex = Properties.Settings.Default.R15;
        }

        private void comboBox0_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R0 = comboBox0.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R1 = comboBox1.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox2_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R2 = comboBox2.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox3_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R3 = comboBox3.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox4_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R4 = comboBox4.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox5_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R5 = comboBox5.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox6_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R6 = comboBox6.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox7_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R7 = comboBox7.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox8_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R8 = comboBox8.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox9_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R9 = comboBox9.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox10_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R10 = comboBox10.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox11_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R11 = comboBox11.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox12_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R12 = comboBox12.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox13_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R13 = comboBox13.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox14_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R14 = comboBox14.SelectedIndex;
            Properties.Settings.Default.Save();
        }

        private void comboBox15_SelectedIndexChanged(object sender, EventArgs e)
        {
            Properties.Settings.Default.R15 = comboBox15.SelectedIndex;
            Properties.Settings.Default.Save();
        }
    }
}
